<?php

declare(strict_types=1);

namespace  FiloBlu\ExtBlackbirdMenuManager\Block\Adminhtml\Menu;

use Magento\Backend\Block\Widget\Form\Container;

/**
 *
 */
class Import extends Container
{
    /**
     * {@inheritdoc}
     */
    public function getHeaderText()
    {
        return __('Import Menu');
    }

    /**
     * {@inheritdoc}
     * @noinspection MagicMethodsValidityInspection
     */
    protected function _construct()
    {
        $this->_objectId = 'id';
        $this->_controller = 'adminhtml_menu';
        $this->_blockGroup = 'FiloBlu_ExtBlackbirdMenuManager';
        $this->_mode = 'import';

        parent::_construct();

        $this->updateButton('save', 'label', 'Import');
        $this->updateButton('save', 'id', 'import_button');

    }
}
